Bug 197371 - RFE: set system-wide web proxy for all (or many) applications
RFE: set system-wide web proxy for all (or many) applications
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2006-06-30 13:06 EDT by Andrew
Modified: 2014-03-16 23:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-12 17:01:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andrew 2006-06-30 13:06:40 EDT
Description of problem:
Imagine the scenario of a multi-computer office network, and each computer has
multiple users.  The office firewall does not allow direct port 80 access, so
all web traffic must go through the web proxy.

Setting the proxy for each application for each user on each computer can be

In SUSE 10.1, Yast can configure a system wide proxy which affects (at least)
Firefox, Gnome, KDE, and environment variables.  Programs such as wget, links,
and yum (on Fedora) obey the environment variables. In SUSE 10.1,
OpenOffice.org's proxy setting is not affected (but it would be nice if it were).

In Microsoft Windows, most applications obey the system proxy settings (which
Control Panel->Internet Options->Connections).

Other information:
This RFE is different than issue 152117 which seems to refer to
non-administrator configuration for an individual user (instead of all users). 
Also, issue 152117 refers to implementation in a different component.
Comment 1 Jon Stanley 2008-04-23 16:28:30 EDT
Adding FutureFeature keyword to RFE's.
Comment 2 Jon Stanley 2008-05-12 17:01:53 EDT
Is this not already taken care of in current GNOME, KDE, etc, as well as the
system environment variables that you refer to?  If there are specific
applications that don't honor the settings, then you should probably open up
individual bugs against them.

I know for example in gnome, you have /etc/gconf/gconf.xml.mandatory/ - I'm sure
a similar facility exists for KDE, but I'm not a KDE user.

At this point. I'm going to close this one NOTABUG, and request that you file
against individual components if applicable.

Note You need to log in before you can comment on or make changes to this bug.